## NAME

db.test.py - Test database driver, database must exist and set by db.connect.

## KEYWORDS

database, attribute table

## SYNOPSIS

db.test.py
db.test.py --help
db.test.py test=string [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

test=string [required]
  Test name
  Options: test1

## DESCRIPTION

db.test tests database driver and database server running set of SQL queries. Database must exist and connection must be set by db.connect.

## EXAMPLE

Test current SQL backend driver:

    db.connect -p
    db.test test=test1

## SEE ALSO

GRASS SQL interface, db.connect, db.describe, db.drivers

## AUTHOR

Radim Blazek

## SOURCE CODE

Available at: db.test source code (history)

Accessed: Sunday Sep 03 20:27:18 2023

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual